%global momorel 3
%global py_ver 2.3

Summary: Python wrappers for libxf86config
Name: pyxf86config
Version: 0.3.19
Release: %{momorel}m
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib
Requires: python >= %{py_ver}
BuildRequires: glib-devel
BuildRequires: xorg-x11-devel
BuildRequires: python => %{py_ver}
BuildRequires: python-devel => %{py_ver}
ExcludeArch: s390 s390x ppc64

%description
Python wrappers for the X server config file library libxf86config.
It is used to read and write X server configuration files.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure --x-libraries=/usr/X11R6/%{_lib} --with-python-version=%{py_ver}
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%preun
if [ -d %{_libdir}/python2.2/site-packages/xf86config.pyc ] ; then
  rm -f {_libdir}/python2.2/site-packages/xf86config.pyc
fi

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_libdir}/python?.?/site-packages/ixf86configmodule.so
%{_libdir}/python?.?/site-packages/xf86config.py

%changelog
* Wed Dec  1 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.19-3m)
  sorry rewinded

* Wed Dec  1 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.19-2m)
  XF86Config -> xorg.conf

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.19-1m)
- update 0.3.19
- rebuild python2.3

* Sat Feb 28 2004 Toru Hoshina <t@momonga-linux.org>
- (0.31.12-1m)
- import from Fedora Core 1

* Wed Jun  4 2003 Brent Fox <bfox@redhat.com> 0.3.12-1
- add a 'scrnum' attribute to the adjacency section

* Tue Jun  3 2003 Brent Fox <bfox@redhat.com> 0.3.11-1
- add a function to xf86config.py called getAllScreens()

* Tue Jun  3 2003 Brent Fox <bfox@redhat.com> 0.3.10-1
- add a BuildRequires for python-devel
- add an options attribute to the server layout section (for Xinerama)

* Tue Apr 29 2003 Alexander Larsson <alexl@redhat.com> 0.3.6-1
- Added laptop resolutions

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.3.5-1
- Rebuild

* Wed Jan 15 2003 Michael Fulbright <msf@redhat.com> 0.3.4-1
- remove code in xf86config.py:createTemplate() that inserted a Display
  section.  We want user to supply this and it shouldnt be in template.

* Sat Jan 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Dec 12 2002 Mike A. Harris <mharris@redhat.com> 0.3.3-1
- Remove Excludearch alpha

* Tue Nov 12 2002 Michael Fulbright <msf@redhat.com> 0.3.2-1
- Added some convenience functions.

* Mon Jul  8 2002 Alexander Larsson <alexl@redhat.com>
- Bump to 0.3.1

* Mon Jun 17 2002 Alexander Larsson <alexl@redhat.com>
- Bump to 0.3.0

* Fri May 24 2002 Alex Larsson <alexl@redhat.com> 0.2.0-3
- Excludearch alpha for now

* Fri May 24 2002 Alex Larsson <alexl@redhat.com> 0.2.0-2
- Add some doc files

* Fri May 24 2002 Alex Larsson <alexl@redhat.com> 0.2.0-1
- Update version number for new release

* Thu Apr 11 2002 Alex Larsson <alexl@redhat.com> 0.1.0-1
- Initial release

* Wed Apr 10 2002 Alex Larsson <alexl@redhat.com>
- Initial specfile
